# Development

This section documents how to get started when setting up your environment before contributing to Azimuth.

Please see our [:material-link: CONTRIBUTING.md](https://github.com/ServiceNow/azimuth/blob/main/CONTRIBUTING.md) for guidelines on how to contribute.

!!! tip "Just want to launch the app locally without Docker?"

    You will need `poetry` and `yarn` installed, as explained in
    [:material-link: Initial Setup](setup.md). Then go the [:material-link: Launching](launching.md)
    section.

## :material-file-tree: Development Documentation Structure
* [:material-link: Initial Setup](setup.md)
    * Steps to install Backend and Frontend dependencies.
* [:material-link: Launching](launching.md)
    * Steps to launch Azimuth for development.
* [:material-link: Development Practices](dev-practices.md)
    * Information on our best practices regarding branch names, testing and pull-requests.
